﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using TeacherJournal.Models;

#nullable disable

namespace TeacherJournal.Migrations
{
    [DbContext(typeof(JournalContext))]
    partial class JournalContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("TeacherJournal.Models.Student", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<int>("Age")
                        .HasColumnType("int");

                    b.Property<string>("Email")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("FirstName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("LastName")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Phone")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Students");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Age = 25,
                            Email = "tomas.shelbi@gmail.com",
                            FirstName = "Tomas",
                            LastName = "Shelbi"
                        },
                        new
                        {
                            Id = 2,
                            Age = 16,
                            Email = "jostar111@gmail.com",
                            FirstName = "Jonatan",
                            LastName = "Joster"
                        });
                });

            modelBuilder.Entity("TeacherJournal.Models.StudentTask", b =>
                {
                    b.Property<int>("StudentId")
                        .HasColumnType("int");

                    b.Property<int>("TaskId")
                        .HasColumnType("int");

                    b.Property<DateTime>("Finished")
                        .HasColumnType("datetime2");

                    b.Property<float>("Mark")
                        .HasColumnType("real");

                    b.HasKey("StudentId", "TaskId");

                    b.HasIndex("TaskId");

                    b.ToTable("StudentTasks");

                    b.HasData(
                        new
                        {
                            StudentId = 1,
                            TaskId = 1,
                            Finished = new DateTime(2021, 8, 1, 12, 23, 0, 0, DateTimeKind.Unspecified),
                            Mark = 4f
                        });
                });

            modelBuilder.Entity("TeacherJournal.Models.Task", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<DateTime>("CloseAccept")
                        .HasColumnType("datetime2");

                    b.Property<DateTime>("Created")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<float>("MaxMark")
                        .HasColumnType("real");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Priority")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("StartAccept")
                        .HasColumnType("datetime2");

                    b.HasKey("Id");

                    b.ToTable("Tasks");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            CloseAccept = new DateTime(2021, 9, 8, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Created = new DateTime(2020, 3, 10, 20, 49, 6, 0, DateTimeKind.Unspecified),
                            Description = "Introduciton Lab",
                            MaxMark = 5f,
                            Name = "Lab1",
                            Priority = "low",
                            StartAccept = new DateTime(2021, 9, 1, 0, 0, 0, 0, DateTimeKind.Unspecified)
                        },
                        new
                        {
                            Id = 2,
                            CloseAccept = new DateTime(2021, 12, 1, 20, 0, 0, 0, DateTimeKind.Unspecified),
                            Created = new DateTime(2021, 3, 10, 20, 49, 6, 0, DateTimeKind.Unspecified),
                            Description = "Write the program to huck vns",
                            MaxMark = 50f,
                            Name = "Exam",
                            Priority = "Hight",
                            StartAccept = new DateTime(2021, 12, 1, 8, 0, 0, 0, DateTimeKind.Unspecified)
                        });
                });

            modelBuilder.Entity("TeacherJournal.Models.StudentTask", b =>
                {
                    b.HasOne("TeacherJournal.Models.Student", "Student")
                        .WithMany("StudentTasks")
                        .HasForeignKey("StudentId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("TeacherJournal.Models.Task", "Task")
                        .WithMany("StudentTasks")
                        .HasForeignKey("TaskId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Student");

                    b.Navigation("Task");
                });

            modelBuilder.Entity("TeacherJournal.Models.Student", b =>
                {
                    b.Navigation("StudentTasks");
                });

            modelBuilder.Entity("TeacherJournal.Models.Task", b =>
                {
                    b.Navigation("StudentTasks");
                });
#pragma warning restore 612, 618
        }
    }
}
